#
# This is the SPEC file for creating binary RPMs for the Dom0.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:       disk-password-gui
Version:	1.0.0
Release:	1%{dist}
Summary:	Disk Password Gui

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org
Source0:    %{name}-%{version}.tar.gz

# because we have "#!/usr/bin/env python" shebangs, RPM puts
# "Requires: $(which # python)" dependency, which, depending on $PATH order,
# may point to /usr/bin/python or /bin/python (because Fedora has this stupid
# /bin -> usr/bin symlink). python*.rpm provides only /usr/bin/python.
AutoReq:	no

BuildArch: noarch

BuildRequires:  make
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  gettext

Requires:  python%{python3_pkgversion}-setuptools
Requires:  gtk3

%description
A simple GUI to change disk encryption password.

%prep
%setup

%build
%py3_build

%install
%py3_install
make install DESTDIR=$RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :

%files
%defattr(-,root,root,-)

%dir %{python3_sitelib}/disk_password_gui-*.egg-info
%{python3_sitelib}/disk_password_gui-*.egg-info/*

%dir %{python3_sitelib}/disk_password_gui
%dir %{python3_sitelib}/disk_password_gui/__pycache__
%{python3_sitelib}/disk_password_gui/__pycache__/*
%{python3_sitelib}/disk_password_gui/__init__.py
%{python3_sitelib}/disk_password_gui/disk_password_gui.py

%{python3_sitelib}/disk_password_gui/disk_password_gui.glade
%{python3_sitelib}/disk_password_gui/disk_password_gui_base.css
%{python3_sitelib}/disk_password_gui/disk_password_gui_light.css
%{python3_sitelib}/disk_password_gui/disk_password_gui_dark.css

%{_bindir}/disk-password-change

/usr/share/icons/hicolor/scalable/apps/qubes-eye.svg
/usr/share/icons/hicolor/scalable/apps/qubes-eye-off.svg
/usr/share/icons/hicolor/scalable/apps/qubes-black-lock.svg

/usr/share/applications/disk_password_gui.desktop

%changelog
* Tue Nov 21 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-disk-password-gui.git

* Tue Nov 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eb3dbe2
- version 1.0.0

* Tue Nov 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7fe2f64
- Add an assert so mypy is happy

* Tue Nov 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8fd273b
- Add mypy config

* Tue Nov 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a2a3bef
- Make pylint happy

* Tue Nov 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 427d284
- Remove unused import

* Tue Nov 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce43d35
- Fix debian packaging

* Tue Nov 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 018c43f
- ci: split mypy into separate job, run unit tests

* Mon Nov 20 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 0b3cfca
- fix old logging name

* Mon Nov 20 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 95fd53b
- Add tiny readme

* Wed Apr 19 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - cecffe9
- Add tests

* Mon Apr 03 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 3d2faa5
- initial version

